Lists
Get one list
Retrieve a single list by ID with its contacts: a page of them (newest first, page/limit), each with its custom field values. Needs the campaigns:read scope.
get
https://app.replysparrow.com/api/v1/lists/{id}Authorizations
Path Parameters
List id
Query Parameters
Response
application/jsonGet one list with contacts
Ctrl+I
Get one list
curl --request GET \ --url https://app.replysparrow.com/api/v1/lists/string \ --header 'Authorization: Bearer <token>'{ "id": "9f8e7d6c-0000-4000-8000-000000000002", "name": "Webinar attendees", "description": "October webinar", "contact_count": 128, "campaign_id": "5b0c6c1e-8a43-4f7e-9d7d-1f8a2b3c4d5e", "campaign": { "id": "5b0c6c1e-8a43-4f7e-9d7d-1f8a2b3c4d5e", "name": "Q4 founders" }, "campaigns": [ { "id": "5b0c6c1e-8a43-4f7e-9d7d-1f8a2b3c4d5e", "name": "Q4 founders" } ], "custom_fields": [ { "key": "pain_point", "name": "Pain point", "type": "text" } ], "created_at": "2026-10-01T08:00:00.000Z", "contacts": { "data": [ { "id": "t_1", "full_name": "Ada Lovelace", "first_name": "Ada", "last_name": "Lovelace", "headline": "CTO at Engines", "title": "CTO", "company": "Engines", "location": "London", "linkedin_url": "https://www.linkedin.com/in/ada", "email": "ada@engines.io", "profile_image_url": null, "created_at": "2026-10-02T09:00:00.000Z", "custom_fields": { "pain_point": "Hiring" } } ], "total": 128, "page": 1, "limit": 50, "totalPages": 3 }}